org.apache.commons.collections4.list

## Class PredicatedList.PredicatedListIterator

- java.lang.Object
- - org.apache.commons.collections4.iterators.AbstractListIteratorDecorator<E>
  - - org.apache.commons.collections4.list.PredicatedList.PredicatedListIterator

- All Implemented Interfaces:
    Iterator<E>, ListIterator<E>
  Enclosing class:
    PredicatedList<E>

      protected class PredicatedList.PredicatedListIterator
      extends AbstractListIteratorDecorator<E>

  Inner class Iterator for the PredicatedList

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PredicatedListIterator(ListIterator<E> iterator)` Create a new predicated list iterator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(E object)`
    `void` | `set(E object)`

    - ### Methods inherited from class org.apache.commons.collections4.iterators.AbstractListIteratorDecorator

      `getListIterator, hasNext, hasPrevious, next, nextIndex, previous, previousIndex, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### PredicatedListIterator

          protected PredicatedListIterator(ListIterator<E> iterator)

      Create a new predicated list iterator.
      Parameters:
        `iterator` - the list iterator to decorate

  - ### Method Detail

    - #### add

          public void add(E object)

      Description copied from class: `AbstractListIteratorDecorator`
      Specified by:
        `add` in interface `ListIterator<E>`
      Overrides:
        `add` in class `AbstractListIteratorDecorator<E>`

    - #### set

          public void set(E object)

      Description copied from class: `AbstractListIteratorDecorator`
      Specified by:
        `set` in interface `ListIterator<E>`
      Overrides:
        `set` in class `AbstractListIteratorDecorator<E>`

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.